## mpi4py 1.2.2

=== debian/changelog ===
mpi4py (1.2.2-4) unstable; urgency=low

  [ Bradley M. Froehle ]
  * Build using dh_python2
  * Add package for Python 3

  [ Yaroslav Halchenko ]
  * Guard all for loops with 'set -e' to guarantee failure if any
    iteration fails
  * up_no_modlibs patch to exclude seems unneeded linking against MODLIBS
    which carry unnecessary -lffi on recent debian systems preventing correct
    build
  * debian/copyright: adjusted for dep5 and list Bradley 
  * Boosted policy to 3.9.3 -- no further changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 22 May 2012 13:24:18 -0400

mpi4py (1.2.2-3) unstable; urgency=low

  [ Bradley M. Froehle ]
  * Symbolic link /usr/include/mpi4py ->
    /usr/share/pyshared/mpi4py/include/mpi4py (Closes: #650329)

  [ Yaroslav Halchenko ]
  * Boosted policy to 3.9.2 -- no changes
  * Adjusted gbp.conf to do overlay build
  * Ajudsted debian/copyright to comply with changes in DEP5
  * Added python-support to build-depends (Closes: #642451)
  * pyshared -> pymodules for -dbg package

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 28 Nov 2011 17:09:46 -0500

mpi4py (1.2.2-2) unstable; urgency=low

  * Use mpi-default-{dev,bin} as *Depends to allow building on platforms
    without openmpi implementation available

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 07 Apr 2011 09:26:13 -0400

mpi4py (1.2.2-1) unstable; urgency=low

  * Initial release (Closes: #604161)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Apr 2011 15:09:51 -0400
