=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PYVER = $(shell pyversions -d -v)
PY2VERS = $(shell pyversions -vr)
PY3VERS = $(shell py3versions -vr)

# Enforce use of openmpi only for now,
# could be overriden from commandline as necessary
MPI=.openmpi

%:
	dh $@ --with python2,python3 --buildsystem python_distutils

# Enforce distutils build system to build for all supported versions
# then build documentation
override_dh_auto_build:
	dh_auto_build $@ -- \
		--mpicc=/usr/bin/mpicc$(MPI) --mpicxx=/usr/bin/mpicxx$(MPI)

	: # Build for Python 3
	set -e; for v in $(PY3VERS); do \
		python$$v setup.py build \
			--mpicc=/usr/bin/mpicc$(MPI) --mpicxx=/usr/bin/mpicxx$(MPI); \
	done

	: # Build documentation now
	PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*$(PYVER)` \
	 make -C docs/source/usrman/ html
	-rm -r docs/source/usrman/build/html/_sources
	: # objects inventory is of no use for the package
	-rm docs/source/usrman/build/html/objects.inv

override_dh_auto_install:
	dh_auto_install

	: # Install for Python 3
	set -e; for v in $(PY3VERS); do \
		python$$v setup.py install  --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done

override_dh_install:
	dh_install

	: # create symlinks for .h files
	set -e; for i in $(PY2VERS); do \
	[ -d $(CURDIR)/debian/python-mpi4py/usr/include/python$$i ] || \
		mkdir -p $(CURDIR)/debian/python-mpi4py/usr/include/python$$i; \
		dh_link usr/lib/python$$i/dist-packages/mpi4py/include/mpi4py usr/include/python$$i/mpi4py; \
	done

	: # Python 3
	set -e; for i in $(PY3VERS); do \
	[ -d $(CURDIR)/debian/python3-mpi4py/usr/include/python$$i ] || \
		mkdir -p $(CURDIR)/debian/python3-mpi4py/usr/include/python$$i; \
		dh_link -ppython3-mpi4py usr/lib/python3/dist-packages/mpi4py/include/mpi4py usr/include/python$$i/mpi4py; \
	done

	: # share -dbg and normal package doc dirs
	rm -rf debian/python-mpi4py-dbg/usr/share/doc/python-mpi4py-dbg
	dh_link -ppython-mpi4py-dbg usr/share/doc/python-mpi4py usr/share/doc/python-mpi4py-dbg
	rm -rf debian/python3-mpi4py-dbg/usr/share/doc/python3-mpi4py-dbg
	dh_link -ppython3-mpi4py-dbg usr/share/doc/python3-mpi4py usr/share/doc/python3-mpi4py-dbg

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; for P in $(PY2VERS); do \
	 PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
	  /usr/bin/python$$P /usr/bin/nosetests -v -w test --exclude='test(PackUnpackExternal|FreePredefined)'; \
	done
	set -e; for P in $(PY3VERS); do \
	 PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
	  /usr/bin/python$$P /usr/bin/nosetests -v -w test --exclude='test(PackUnpackExternal|FreePredefined|Memory)'; \
	done
else
	: # Skip unittests due to nocheck
endif

override_dh_strip:
	dh_strip -ppython-mpi4py --dbg-package=python-mpi4py-dbg
	dh_strip -ppython3-mpi4py --dbg-package=python3-mpi4py-dbg

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.txt

## Immediately useable documentation
override_dh_compress:
	dh_compress -X.py -X.html -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.par -X.bin -Xobjects.inv

override_dh_auto_clean:
	dh_auto_clean $@
	rm -rf `find -name build -type d`
