## mpi4py 1.3

=== debian/changelog ===
mpi4py (1.3-1) unstable; urgency=low

  [ Bradley M. Froehle ]
  * New upstream release (Closes: #675520)
  * Import "Safer Cython version check" from upstream to allow building
    against pre-release versions of Cython
  * Fix FTBFS issues on some platforms where the default MPI implementation
    is not OpenMPI
  * python-mpi executables are not packaged; they are not required by OpenMPI
    or MPICH2

  [ Yaroslav Halchenko ]
  * Boosted mpi-default-bin into Depends from Recommends since according
    to tireless Bradley otherwise it is useless (Closes: #670768)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Jun 2012 16:15:51 -0400
