## mpi4py 1.3+hg20120611

=== debian/changelog ===
mpi4py (1.3+hg20120611-2) unstable; urgency=low

  * Cherry-picked patch from upstream for python3.3 compatibility (failing
    unittests) (Closes: #691244)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 23 Oct 2012 10:23:29 -0400

mpi4py (1.3+hg20120611-1) unstable; urgency=low

  [ Bradley M. Froehle ]
  * New snapshot from the upstream's release-1.3 branch in HG, revision
    4f6ac1ea8b9d.  Includes post-release bugfixes for kFreeBSD, pickling
    etc.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 11 Jun 2012 21:47:41 -0400
