=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                python-numpy,
                python-sphinx,
                python-nose,
+               cython,
                python3-all-dev,
                python3-numpy,
                python3-nose,
@@ -20,8 +21,8 @@
 
 Package: python-mpi4py
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Recommends: mpi-default-bin
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+         mpi-default-bin
 Suggests: python-numpy
 Description: bindings of the Message Passing Interface (MPI) standard
  MPI for Python (mpi4py) provides bindings of the Message Passing
