=== debian/changelog ===
mpi4py (1.3+hg20130509-1) unstable; urgency=low

  * Fresh upstream snapshot:
    - fixes Cython 0.19 compatibility (Closes: #707314)
    - incorporates patches cython_version_check.patch,
      up_test_win_python3.3.patch)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 09 May 2013 12:33:57 -0400

mpi4py (1.3+hg20120611-3) unstable; urgency=medium

  * Create a suffixed (e.g. python3.2mu) python3 directory matching the
    one present on the system for the given version of python3  (Closes:
    #700995)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 20 Feb 2013 14:51:54 -0500
