## mpi4py 1.3.1%2Bhg20131106

=== debian/changelog ===
mpi4py (1.3.1+hg20131106-1build3) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Apr 2014 14:19:00 +0100

mpi4py (1.3.1+hg20131106-1build2) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 19:32:04 +0000

mpi4py (1.3.1+hg20131106-1build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 15 Dec 2013 14:23:16 -0500

mpi4py (1.3.1+hg20131106-1) unstable; urgency=low

  * Fresh upstream snapshot which includes 1.3.1 stable release
  * debian/rules:
    - get-orig-dev-source to generate snapshot tarballs out from HG
  * debian/rules,control:
    - use dh_autoreconf and rebuild Cython extensions if cython is newer
      than 0.19.1
    - use dh_sphinxdoc (build-depends version for sphinx boosted to
      1.0.7+dfsg~) and remove manual symlinking of jquery.js
      (Closes: #725601)
  * debian/control
    - boost policy to 3.9.4

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Nov 2013 13:22:56 -0500
