=== docs/source/usrman/Makefile ===
--- 
+++ 
@@ -77,17 +77,17 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PETScforPython.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/MPIforPython.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PETScforPython.qhc"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/MPIforPython.qhc"
 
 devhelp:
 	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
 	@echo
 	@echo "Build finished."
 	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/PETScforPython"
-	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PETScforPython"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/MPIforPython"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/MPIforPython"
 	@echo "# devhelp"
 
 epub:
