=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: mpi4py
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf,
                mpi-default-dev, mpi-default-bin,
                rsh-client | openssh-client,
                python-all-dev (>= 2.6.6-3~),
                python-numpy,
-               python-sphinx,
+               python-sphinx (>= 1.0.7+dfsg~),
                python-nose,
                cython,
                python3-all-dev,
                python3-numpy,
                python3-nose,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/mpi4py/
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/mpi4py.git
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/mpi4py.git
@@ -96,7 +97,7 @@
 Package: python-mpi4py-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Suggests: python-mpi4py
 Description: bindings of the MPI standard -- documentation
  MPI for Python (mpi4py) provides bindings of the Message Passing
