=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,23 @@
 PY2VERS = $(shell pyversions -vr)
 PY3VERS = $(shell py3versions -vr)
 
+CYTHON_VER := $(shell dpkg -l cython 2>/dev/null | awk '/^ii/{print $$3;}' || echo 0)
+RECONF = $(shell dpkg --compare-versions $(CYTHON_VER) ge 0.19.1 && echo ",autoreconf" || echo "")
+
 # Specify a specific version of MPI to use in the build, otherwise
 # just use the default.
 # MPI=.openmpi
 
 %:
-	dh $@ --with python2,python3 --buildsystem python_distutils
+	dh $@ --with python2,python3$(RECONF),sphinxdoc --buildsystem python_distutils
+
+cythonize:
+	@echo "D: removing previously generated by Cython sources"
+	find -iname *.c | xargs grep -l 'Generated by Cython' | xargs -r rm
+	python setup.py build_src
+
+override_dh_autoreconf:
+	dh_autoreconf debian/rules -- cythonize
 
 # Enforce distutils build system to build for all supported versions
 # then build documentation
@@ -27,9 +38,6 @@
 	: # Build documentation now
 	PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*$(PY2)` \
 	 make -C docs/source/usrman/ html
-	-rm -r docs/source/usrman/_build/html/_sources
-	: # objects inventory is of no use for the package
-	-rm docs/source/usrman/_build/html/objects.inv
 
 override_dh_auto_install:
 	dh_auto_install
@@ -54,10 +62,14 @@
 	done
 
 	: # Python 3
+	: # Can have python$$v symlink pointing to python3.?m or python3.?mu
+	: # see #700995 for more details.  So first look where it points to
+	: # and use that directory
 	set -e; for v in $(PY3VERS); do \
 	[ -d $(CURDIR)/debian/python3-mpi4py/usr/include/python$$v ] || \
-		mkdir -p $(CURDIR)/debian/python3-mpi4py/usr/include/python$$v; \
-		dh_link -ppython3-mpi4py usr/lib/python3/dist-packages/mpi4py/include/mpi4py usr/include/python$$v/mpi4py; \
+		pythonv_inc_dir=$$(readlink -f /usr/include/python$$v); \
+		mkdir -p $(CURDIR)/debian/python3-mpi4py$$pythonv_inc_dir; \
+		dh_link -ppython3-mpi4py usr/lib/python3/dist-packages/mpi4py/include/mpi4py $${pythonv_inc_dir#/}/mpi4py; \
 	done
 
 	: # share -dbg and normal package doc dirs
@@ -69,11 +81,17 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e; for v in $(PY2VERS) $(PY3VERS); do \
+     echo "I: testing using python$$v"; \
 	 PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$v` \
 	  /usr/bin/python$$v /usr/bin/nosetests -v --exclude='testPackUnpackExternal'; \
 	done
 else
 	: # Skip unittests due to nocheck
+endif
+
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
+	dh_sphinxdoc -ppython-mpi4py-doc
 endif
 
 override_dh_strip:
@@ -94,3 +112,10 @@
 
 	: # Remove Cython generated files
 	rm -f src/mpi4py.MPE.c src/mpi4py.MPI.c src/include/mpi4py/mpi4py.MPI_api.h
+
+get-orig-dev-source:
+	cd ../mpi4py-hg/; \
+	uver=`sed -ne "/__version__/s,.*= *'\(.*\)' *$$,\1,gp" src/__init__.py`; \
+	tarball=../tarballs/mpi4py_$$uver+hg`date +"20%y%m%d"`.orig.tar.gz; \
+	echo "I: Generating $$tarball"; \
+	hg archive --exclude 'misc' -t tgz $$tarball;
