=== debian/watch ===
version=3
opts="versionmangle=s/-//,dversionmangle=s/.dfsg$//" \
  http://code.google.com/p/mpi4py/downloads/list \
  .*/mpi4py-([\d\.]*)\.tar\.gz
